/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author 986137
 */
public class DepositRateSlabBean {

    //for create Div
    private String pCode;
    private String iCat;
    private String procStartDate;
    private String procEndDate;
    private String inttRate;
    private String termFrom;
    private String termTo;
    private String amountFrom;
    private String amountTo;

    //for Search
    private String pCodeSearch;
    private String iCatSearch;

    //for Amend Div
    private String dep_product_id;
    private String slabTable_id;
    private String inttRateAmend;
    private String termFromAmend;
    private String termToAmend;
    private String amountFromAmend;
    private String amountToAmend;
    private String procStartDateAmend;
    private String procEndDateAmend;
    private String inttCapFreq;
    private String prodCode;
    private String prodDesc;
    private String inttCat;
    private String inttCatDesc;
    private String thresholdBal;
    private String thresholdInttRate;
    private String minBal;
    private String maxBal;
    private String minWithdraw;
    private String maxWithdraw;
    private String drTxnFlag;
    private String dormancy;

    
    
    public String getThresholdBal() {
        return thresholdBal;
    }

    public void setThresholdBal(String thresholdBal) {
        this.thresholdBal = thresholdBal;
    }

    public String getThresholdInttRate() {
        return thresholdInttRate;
    }

    public void setThresholdInttRate(String thresholdInttRate) {
        this.thresholdInttRate = thresholdInttRate;
    }

    public String getMinBal() {
        return minBal;
    }

    public void setMinBal(String minBal) {
        this.minBal = minBal;
    }

    public String getMaxBal() {
        return maxBal;
    }

    public void setMaxBal(String maxBal) {
        this.maxBal = maxBal;
    }

    public String getMinWithdraw() {
        return minWithdraw;
    }

    public void setMinWithdraw(String minWithdraw) {
        this.minWithdraw = minWithdraw;
    }

    public String getMaxWithdraw() {
        return maxWithdraw;
    }

    public void setMaxWithdraw(String maxWithdraw) {
        this.maxWithdraw = maxWithdraw;
    }

    public String getDrTxnFlag() {
        return drTxnFlag;
    }

    public void setDrTxnFlag(String drTxnFlag) {
        this.drTxnFlag = drTxnFlag;
    }

    public String getDormancy() {
        return dormancy;
    }

    public void setDormancy(String dormancy) {
        this.dormancy = dormancy;
    }
        
    public String getInttCapFreq() {
        return inttCapFreq;
    }

    public void setInttCapFreq(String inttCapFreq) {
        this.inttCapFreq = inttCapFreq;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdDesc() {
        return prodDesc;
    }

    public void setProdDesc(String prodDesc) {
        this.prodDesc = prodDesc;
    }

    public String getInttCat() {
        return inttCat;
    }

    public void setInttCat(String inttCat) {
        this.inttCat = inttCat;
    }

    public String getInttCatDesc() {
        return inttCatDesc;
    }

    public void setInttCatDesc(String inttCatDesc) {
        this.inttCatDesc = inttCatDesc;
    }

    public String getProcEndDateAmend() {
        return procEndDateAmend;
    }

    public void setProcEndDateAmend(String procEndDateAmend) {
        this.procEndDateAmend = procEndDateAmend;
    }

    public String getProcStartDateAmend() {
        return procStartDateAmend;
    }

    public void setProcStartDateAmend(String procStartDateAmend) {
        this.procStartDateAmend = procStartDateAmend;
    }

    

    public String getAmountFromAmend() {
        return amountFromAmend;
    }

    public void setAmountFromAmend(String amountFromAmend) {
        this.amountFromAmend = amountFromAmend;
    }

    public String getAmountToAmend() {
        return amountToAmend;
    }

    public void setAmountToAmend(String amountToAmend) {
        this.amountToAmend = amountToAmend;
    }

    public String getInttRateAmend() {
        return inttRateAmend;
    }

    public void setInttRateAmend(String inttRateAmend) {
        this.inttRateAmend = inttRateAmend;
    }

    public String getTermFromAmend() {
        return termFromAmend;
    }

    public void setTermFromAmend(String termFromAmend) {
        this.termFromAmend = termFromAmend;
    }

    public String getTermToAmend() {
        return termToAmend;
    }

    public void setTermToAmend(String termToAmend) {
        this.termToAmend = termToAmend;
    }

    public String getSlabTable_id() {
        return slabTable_id;
    }

    public void setSlabTable_id(String slabTable_id) {
        this.slabTable_id = slabTable_id;
    }

    public String getDep_product_id() {
        return dep_product_id;
    }

    public void setDep_product_id(String dep_product_id) {
        this.dep_product_id = dep_product_id;
    }

    public String getiCatSearch() {
        return iCatSearch;
    }

    public void setiCatSearch(String iCatSearch) {
        this.iCatSearch = iCatSearch;
    }

    public String getpCodeSearch() {
        return pCodeSearch;
    }

    public void setpCodeSearch(String pCodeSearch) {
        this.pCodeSearch = pCodeSearch;
    }

    public String getAmountFrom() {
        return amountFrom;
    }

    public void setAmountFrom(String amountFrom) {
        this.amountFrom = amountFrom;
    }

    public String getAmountTo() {
        return amountTo;
    }

    public void setAmountTo(String amountTo) {
        this.amountTo = amountTo;
    }

    public String getiCat() {
        return iCat;
    }

    public void setiCat(String iCat) {
        this.iCat = iCat;
    }

    public String getInttRate() {
        return inttRate;
    }

    public void setInttRate(String inttRate) {
        this.inttRate = inttRate;
    }

    public String getpCode() {
        return pCode;
    }

    public void setpCode(String pCode) {
        this.pCode = pCode;
    }

    public String getProcEndDate() {
        return procEndDate;
    }

    public void setProcEndDate(String procEndDate) {
        this.procEndDate = procEndDate;
    }

    public String getProcStartDate() {
        return procStartDate;
    }

    public void setProcStartDate(String procStartDate) {
        this.procStartDate = procStartDate;
    }

    public String getTermFrom() {
        return termFrom;
    }

    public void setTermFrom(String termFrom) {
        this.termFrom = termFrom;
    }

    public String getTermTo() {
        return termTo;
    }

    public void setTermTo(String termTo) {
        this.termTo = termTo;
    }
}
